Subject: Re: [netatalk-admins] The netatalk script

From: "Les Klein" <[email-masked]>
Date: Wed, 17 Jun 1998 18:35:47 +0100

Many thanks to all of you who replied and who did so so very rapidly!

Best regards to you all!

Les.
----
> 
> > This is probably an FAQ for which I apologise but I find that using
netatalk
> > 1.4b2 with Linux (kernel 2.0.33):-
> 
> > /etc/init.d/netatalk stop 
> > works fine, but when followed by:-
> > /etc/init.d/netatalk start
> > I get the message:- 
> 
> > Starting AppleTalk daemons (this may take a while): atalkdAppleTalk not
up!
> > Child exited with 1.
> 
> > I then have to reboot Linux to get atalkd and papd running again.
> > Can anyone tell me how to re-start netatalk without rebooting Linux?
> 
> I _think_ this is because some kernels can't delete appletalk interfaces:
> 2.0.34 fixes this [I thought 2.0.33 did too, but I'm not so sure now]. 
> 
> If this is indeed the problem, your options are as follows:
> 
> 1] Upgrade to 2.0.34
> 2] Patch 2.0.33 
> 3] Compile the appletalk stuff as modules: After this:
> 
> foo:~/ /etc/init.d/netatalk stop
> foo:~/ rmmod appletalk
> foo:~/ insmod appletalk #only if you're not running kerneld
> foo:~/ /etc/init.d/netatalk start
> 
> should solve the problem.. 
> 
> 'course, I could be wrong. It's been known to happen. HTH.
> -- 
> Just one nuclear family can ruin your whole life.
> 
>